lists.openwall.net   lists  /  announce  owl-users  owl-dev  john-users  john-dev  passwdqc-users  yescrypt  popa3d-users  /  oss-security  kernel-hardening  musl  sabotage  tlsify  passwords  /  crypt-dev  xvendor  /  Bugtraq  Full-Disclosure  linux-kernel  linux-netdev  linux-ext4  linux-hardening  linux-cve-announce  PHC 
Open Source and information security mailing list archives
 
Hash Suite: Windows password security audit tool. GUI, reports in PDF.
[<prev] [next>] [<thread-prev] [thread-next>] [day] [month] [year] [list]
Date: Wed, 19 Jul 2023 16:05:16 +0300
From: Ido Schimmel <idosch@...sch.org>
To: Mirsad Todorovac <mirsad.todorovac@....unizg.hr>
Cc: netdev@...r.kernel.org, linux-kselftest@...r.kernel.org,
	"David S. Miller" <davem@...emloft.net>,
	Eric Dumazet <edumazet@...gle.com>,
	Jakub Kicinski <kuba@...nel.org>, Paolo Abeni <pabeni@...hat.com>,
	Shuah Khan <shuah@...nel.org>,
	Nikolay Aleksandrov <razor@...ckwall.org>,
	Ido Schimmel <idosch@...dia.com>, Petr Machata <petrm@...dia.com>,
	linux-kernel@...r.kernel.org
Subject: Re: [PROBLEM] selftests: net/forwarding/bridge_mdb.sh: 'Command
 "replace" is unknown, try "bridge mdb help"'

On Tue, Jul 18, 2023 at 09:02:31PM +0200, Mirsad Todorovac wrote:
> Command "replace" is unknown, try "bridge mdb help".

You are running the test with an old iproute2 that doesn't support the
replace command. The following patches [1][2] skip the tests in this
case. However, you will get better test coverage with iproute2-next [3]
compared to the version shipped with your distribution.

[1]
diff --git a/tools/testing/selftests/net/forwarding/bridge_mdb.sh b/tools/testing/selftests/net/forwarding/bridge_mdb.sh
index ae3f9462a2b6..a1bd4900acb6 100755
--- a/tools/testing/selftests/net/forwarding/bridge_mdb.sh
+++ b/tools/testing/selftests/net/forwarding/bridge_mdb.sh
@@ -1206,6 +1206,12 @@ ctrl_test()
        ctrl_mldv2_is_in_test
 }
 
+bridge mdb help 2>&1 | grep -q "replace"
+if [ $? -ne 0 ]; then
+       echo "SKIP: iproute2 too old, missing bridge mdb replace support"
+       exit $ksft_skip
+fi
+
 trap cleanup EXIT
 
 setup_prepare

[2]
diff --git a/tools/testing/selftests/net/forwarding/bridge_mdb_max.sh b/tools/testing/selftests/net/forwarding/bridge_mdb_max.sh
index ae255b662ba3..a1c4aec4cbb1 100755
--- a/tools/testing/selftests/net/forwarding/bridge_mdb_max.sh
+++ b/tools/testing/selftests/net/forwarding/bridge_mdb_max.sh
@@ -1328,6 +1328,12 @@ test_8021qvs()
        switch_destroy
 }
 
+bridge link help 2>&1 | grep -q "mcast_max_groups"
+if [ $? -ne 0 ]; then
+       echo "SKIP: iproute2 too old, missing bridge \"mcast_max_groups\" support"
+       exit $ksft_skip
+fi
+
 trap cleanup EXIT
 
 setup_prepare

[3] https://git.kernel.org/pub/scm/network/iproute2/iproute2-next.git

Powered by blists - more mailing lists

Powered by Openwall GNU/*/Linux Powered by OpenVZ